import React from 'react';
import { ReactWidget } from '@jupyterlab/apputils';
import { Provider } from 'react-redux';
import { JUPYTER_EXT } from '../constants';
import { store } from '../redux/store';
import 'regenerator-runtime/runtime';
import { AlgorithmsApp } from '../components/AlgorithmsApp';
import { RegistrationForm } from '../components/RegistrationForm';
export class ReactAppWidget extends ReactWidget {
    constructor(jupyterApp) {
        super();
        this.addClass(JUPYTER_EXT.EXTENSION_CSS_CLASSNAME);
        this.jupyterApp = jupyterApp;
    }
    render() {
        return (React.createElement(Provider, { store: store },
            React.createElement(AlgorithmsApp, { jupyterApp: this.jupyterApp })));
    }
}
export class RegisterReactAppWidget extends ReactWidget {
    constructor(uname) {
        super();
        this.addClass(JUPYTER_EXT.EXTENSION_CSS_CLASSNAME);
    }
    render() {
        return (React.createElement(Provider, { store: store },
            React.createElement(RegistrationForm, null)));
    }
}
//# sourceMappingURL=App.js.map