import React, { useMemo } from 'react';
import { useTable, usePagination, useFilters } from 'react-table';
import { Pagination, Table } from 'react-bootstrap';
function DefaultColumnFilter({ column: { filterValue, preFilteredRows, setFilter, columns }, }) {
    return (React.createElement("input", { value: filterValue || '', onChange: e => {
            setFilter(e.target.value || undefined); // Set undefined to remove the filter entirely
        }, placeholder: `Search...` }));
}
function ReactTable({ columns, data }) {
    const defaultColumn = React.useMemo(() => ({
        // Let's set up our default Filter UI
        Filter: DefaultColumnFilter,
    }), []);
    // Use the state and functions returned from useTable to build your UI
    const { getTableProps, getTableBodyProps, headerGroups, rows, canPreviousPage, canNextPage, prepareRow, pageOptions, pageCount, gotoPage, nextPage, previousPage, state: { pageIndex } } = useTable({
        defaultColumn,
        columns,
        data,
        initialState: { pageIndex: 0 }
    }, useFilters, usePagination);
    // Render the UI for your table
    return (React.createElement(React.Fragment, null,
        React.createElement(Table, { ...getTableProps(), className: 'hover' },
            React.createElement("thead", null, headerGroups.map(headerGroup => (React.createElement("tr", { ...headerGroup.getHeaderGroupProps() }, headerGroup.headers.map(column => (React.createElement("th", { ...column.getHeaderProps() },
                column.render('Header'),
                React.createElement("div", null, column.canFilter ? column.render('Filter') : null)))))))),
            React.createElement("tbody", { ...getTableBodyProps() }, rows.map((row, i) => {
                prepareRow(row);
                return (React.createElement("tr", { ...row.getRowProps() }, row.cells.map(cell => {
                    return React.createElement("td", { ...cell.getCellProps() }, cell.render('Cell'));
                })));
            }))),
        React.createElement("div", { className: 'pagination' },
            React.createElement("span", null,
                "Showing ",
                pageOptions.length === 0 ? 0 : pageIndex + 1,
                " of ",
                pageOptions.length),
            React.createElement(Pagination, null,
                React.createElement(Pagination.First, { onClick: () => gotoPage(0), disabled: !canPreviousPage }),
                React.createElement(Pagination.Prev, { onClick: () => previousPage(), disabled: !canPreviousPage }),
                React.createElement(Pagination.Next, { onClick: () => nextPage(), disabled: !canNextPage }),
                React.createElement(Pagination.Last, { onClick: () => gotoPage(pageCount - 1), disabled: !canNextPage })))));
}
export const Algorithms = () => {
    const algoInfo = [
        {
            algorithm_name: "algorithm1",
            description: "this is algo 1",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        },
        {
            algorithm_name: "algorithm2",
            description: "this is algo 2",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        },
        {
            algorithm_name: "algorithm3",
            description: "this is algo 3",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        },
        {
            algorithm_name: "algorithm3",
            description: "this is algo 3",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        }, {
            algorithm_name: "algorithm3",
            description: "this is algo 3",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        }, {
            algorithm_name: "algorithm3",
            description: "this is algo 3",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        }, {
            algorithm_name: "algorithm3",
            description: "this is algo 3",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        }, {
            algorithm_name: "algorithm3",
            description: "this is algo 3",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        }, {
            algorithm_name: "algorithm3",
            description: "this is algo 3",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        }, {
            algorithm_name: "algorithm3",
            description: "this is algo 3",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        }, {
            algorithm_name: "algorithm3",
            description: "this is algo 3",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        }, {
            algorithm_name: "algorithm3",
            description: "this is algo 3",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        }, {
            algorithm_name: "algorithm3",
            description: "this is algo 3",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        }, {
            algorithm_name: "algorithm3",
            description: "this is algo 3",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        }, {
            algorithm_name: "algorithm3",
            description: "this is algo 3",
            repository_url: "https://google.com",
            time_last_update: new Date().getUTCDate(),
            creator: "mlucas"
        }
    ];
    const data = useMemo(() => algoInfo, [algoInfo]);
    const columns = useMemo(() => [
        {
            Header: 'Algorithm Name',
            accessor: 'algorithm_name',
        },
        {
            Header: 'Creator',
            accessor: 'creator',
        },
        {
            Header: 'Description',
            accessor: 'description',
        },
        {
            Header: 'Last Updated',
            accessor: 'time_last_update',
        }
    ], []);
    return (React.createElement(ReactTable, { columns: columns, data: data }));
};
//# sourceMappingURL=Algorithms.js.map