import React from 'react';
import { Form } from 'react-bootstrap';
import { ALGO_INPUT_FIELDS } from '../constants';
import { BsFillXCircleFill } from 'react-icons/bs';
export const InputRow = ({ row, handleRemoveRow, handleDataChange }) => {
    return (React.createElement("tr", { className: "input-row", id: row.inputId.toString() },
        React.createElement("td", null),
        React.createElement("td", null,
            React.createElement(Form.Control, { id: ALGO_INPUT_FIELDS.INPUT_NAME, type: "text", placeholder: "What is the input name?", onChange: handleDataChange, value: row.inputName })),
        React.createElement("td", null,
            React.createElement(Form.Control, { id: ALGO_INPUT_FIELDS.INPUT_DESC, type: "text", placeholder: "Describe the input parameter", onChange: handleDataChange, value: row.inputDesc })),
        React.createElement("td", null,
            React.createElement(Form.Switch, { id: ALGO_INPUT_FIELDS.IS_REQUIRED, className: "center-align", "aria-label": "required_input", onChange: handleDataChange, checked: row.isRequired })),
        React.createElement("td", null,
            React.createElement(Form.Control, { id: ALGO_INPUT_FIELDS.INPUT_DEFAULT, type: "text", placeholder: "Default value", onChange: handleDataChange, value: row.inputDefault })),
        React.createElement("td", { style: { verticalAlign: "middle" } },
            React.createElement("span", null,
                React.createElement(BsFillXCircleFill, { className: "danger-icon", id: row.inputId.toString(), onClick: () => handleRemoveRow(row.inputId.toString()) })))));
};
//# sourceMappingURL=InputRow.js.map