import { createSlice } from '@reduxjs/toolkit';
const initialState = {
    positionalData: [],
    configData: [],
    fileData: [],
    repoUrl: "",
    repoBranch: "",
    repoRunCommand: "",
    repoBuildCommand: "",
    algoName: "",
    algoDesc: "",
    algoDiskSpace: "",
    algoResource: "",
    algoContainer: "",
    inputId: 0,
    registrationUrl: ""
};
export const algorithmsSlice = createSlice({
    name: 'Algorithms',
    initialState,
    reducers: {
        resetValue: () => initialState,
        setRegistrationUrl: (state, action) => {
            state.registrationUrl = action.payload;
        },
        incrementInputId: (state) => {
            state.inputId = state.inputId + 1;
        },
        setRepoUrl: (state, action) => {
            state.repoUrl = action.payload;
        },
        setRepoBranch: (state, action) => {
            state.repoBranch = action.payload;
        },
        setRepoRunCommand: (state, action) => {
            state.repoRunCommand = action.payload;
        },
        setRepoBuildCommand: (state, action) => {
            state.repoBuildCommand = action.payload;
        },
        setAlgoName: (state, action) => {
            state.algoName = action.payload;
        },
        setAlgoDesc: (state, action) => {
            state.algoDesc = action.payload;
        },
        setAlgoDiskSpace: (state, action) => {
            state.algoDiskSpace = action.payload;
        },
        setAlgoResource: (state, action) => {
            state.algoResource = action.payload;
        },
        setAlgoContainerURL: (state, action) => {
            state.algoContainer = action.payload;
        },
        addConfigData: (state, action) => {
            state.configData = [...state.configData, action.payload];
        },
        updateConfigData: (state, action) => {
            return {
                ...state,
                configData: state.configData.map(item => item.inputId == action.payload.inputId ? {
                    ...item,
                    [action.payload.inputField]: action.payload.inputValue
                } : item)
            };
        },
        removeConfigData: (state, action) => {
            let nextState = [...state.configData];
            nextState.map((item, index) => {
                if (item.inputId == action.payload.key) {
                    nextState.splice(index, 1);
                }
            });
            return {
                ...state,
                configData: nextState
            };
        },
        addFileData: (state, action) => {
            state.fileData = [...state.fileData, action.payload];
        },
        updateFileData: (state, action) => {
            return {
                ...state,
                fileData: state.fileData.map(item => item.inputId == action.payload.inputId ? {
                    ...item,
                    [action.payload.inputField]: action.payload.inputValue
                } : item)
            };
        },
        removeFileData: (state, action) => {
            let nextState = [...state.fileData];
            nextState.map((item, index) => {
                if (item.inputId == action.payload.key) {
                    nextState.splice(index, 1);
                }
            });
            return {
                ...state,
                fileData: nextState
            };
        },
        addPositionalData: (state, action) => {
            state.positionalData = [...state.positionalData, action.payload];
        },
        updatePositionalData: (state, action) => {
            return {
                ...state,
                positionalData: state.positionalData.map(item => item.inputId == action.payload.inputId ? {
                    ...item,
                    [action.payload.inputField]: action.payload.inputValue
                } : item)
            };
        },
        removePositionalData: (state, action) => {
            let nextState = [...state.positionalData];
            nextState.map((item, index) => {
                if (item.inputId == action.payload.key) {
                    nextState.splice(index, 1);
                }
            });
            return {
                ...state,
                positionalData: nextState
            };
        },
    },
});
// Actions
export const algorithmsActions = algorithmsSlice.actions;
// Selector
export const selectAlgorithms = (state) => state.Algorithms;
export default algorithmsSlice.reducer;
//# sourceMappingURL=algorithmsSlice.js.map